From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/ppx_type_conv/
Date: Tue, 22 Mar 2016 09:20:40 +0000 (UTC) [thread overview]
Message-ID: <1458638401.4f97f2e3361259f3fd92123c0f46376843f95b69.aballier@gentoo> (raw)
commit: 4f97f2e3361259f3fd92123c0f46376843f95b69
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 08:52:55 2016 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 09:20:01 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f97f2e3
dev-ml/ppx_type_conv: bump to 113.33.00
Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>
dev-ml/ppx_type_conv/Manifest | 1 +
.../ppx_type_conv/ppx_type_conv-113.33.00.ebuild | 43 ++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-ml/ppx_type_conv/Manifest b/dev-ml/ppx_type_conv/Manifest
index ec3c4bf..d741fa6 100644
--- a/dev-ml/ppx_type_conv/Manifest
+++ b/dev-ml/ppx_type_conv/Manifest
@@ -1 +1,2 @@
DIST ppx_type_conv-113.24.00.tar.gz 59641 SHA256 0751505c5d400416d5abc2525d164264ea82b8569ce819aec04065bf47ce2c42 SHA512 7fd809c35e5f009886dcaa310822eb919efecba155c8cd1377c50a05894c2c9afcf88a979361bb2a277791b6cd5b7d17e2a30fda36bd3d416a046a0b34989b57 WHIRLPOOL c22d424260b0f0fb1337da41de4beff1f90fcaca5590c7b0620f633ab1a296690f76df428d96dabece3fc8267704f1f34cf721bb5f3ca562d75098b3133d4701
+DIST ppx_type_conv-113.33.00.tar.gz 59371 SHA256 983e704c9e3579ad2dc93b8017c7c3852160c6245eb85ef98d6eb1723724921f SHA512 4da9e3252522865f2a4976810b33ecaf0275e3a19f40193466a5ddce7163727ff0c0e02fbabf93a3133bde231597b1fd4fba4ff4d813d49ab1858e9243b228f8 WHIRLPOOL c02ce8f8d401d527803b02a72b301ac5992fba1444ee4d8dec50b71785078213d5dc1d2c8bb7d68ee9779997cf5ba5b39c78ae97d3f66f482ea50f5690502b6b
diff --git a/dev-ml/ppx_type_conv/ppx_type_conv-113.33.00.ebuild b/dev-ml/ppx_type_conv/ppx_type_conv-113.33.00.ebuild
new file mode 100644
index 0000000..3520939
--- /dev/null
+++ b/dev-ml/ppx_type_conv/ppx_type_conv-113.33.00.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+DESCRIPTION="Support Library for type-driven code generators"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-ml/ppx_tools:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_deriving:=
+ dev-ml/ppx_core:=
+ dev-ml/ppx_optcomp:="
+
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md
+}
next reply other threads:[~2016-03-22 9:20 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-22 9:20 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-09-08 14:57 [gentoo-commits] repo/gentoo:master commit in: dev-ml/ppx_type_conv/ Alexis Ballier
2017-08-15 7:26 Alexis Ballier
2017-09-10 14:45 Sergei Trofimovich
2018-02-14 14:30 Thomas Deutschmann
2021-04-04 6:10 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1458638401.4f97f2e3361259f3fd92123c0f46376843f95b69.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox